%global lang_name  python
%global lib_prefix django
%global lib_name   dajax

Name:          %{lang_name}-%{lib_prefix}-%{lib_name}
Version:       0.9.2
Release:       1%{?dist}
Summary:       Library to create asynchronous presentation logic with Django and dajaxice

Group:         Development/Libraries
License:       BSD with advertising
URL:           http://www.dajaxproject.com/
Source0:       https://github.com/jorgebastida/%{lib_prefix}-%{lib_name}/archive/%{version}.tar.gz
Source1:       python-django-dajax.conf

BuildArch:     noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools

Requires:      httpd
Requires:      python-django-dajaxice >= 0.5.5

%global lib_datadir       %{_datadir}/%{lib_prefix}-%{lib_name}
%global lib_jsdir         %{lib_datadir}/js
%global lib_httpdconfddir %{_sysconfdir}/httpd/conf.d

%description
dajax is a powerful tool to easily and super-quickly develop asynchronous
presentation logic in web applications using python and almost no JS code.

It supports up to four of the most popular JS frameworks: Prototype, jQuery,
Dojo and mootols.

%prep
%setup -q -n %{lib_prefix}-%{lib_name}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root=$RPM_BUILD_ROOT

# remove empty source files and bytecompiled files
find $RPM_BUILD_ROOT -type f -size 0 -name "*.py" -exec rm '{}'{,c,o} \;

# move javascript files to js dir
mkdir -p $RPM_BUILD_ROOT%{lib_jsdir}
mv $RPM_BUILD_ROOT%{python_sitelib}/%{lib_name}/static/dajax/*.js $RPM_BUILD_ROOT%{lib_jsdir}/

# install python-django-dajax httpd conf
mkdir -p $RPM_BUILD_ROOT%{lib_httpdconfddir}
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{lib_httpdconfddir}/


%files
%doc COPYING
%{python_sitelib}/%{lib_name}
%{python_sitelib}/%{lib_prefix}_%{lib_name}-%{version}-py?.?.egg-info
%{lib_datadir}
%config(noreplace) %{lib_httpdconfddir}/%{lang_name}-%{lib_prefix}-%{lib_name}.conf


%changelog
* Sat Feb  9 2013 Jakub Filak <jfilak@redhat.com> - 0.9.2-1
- new upstream release

* Mon May 16 2012 Jakub Filak <jfilak@redhat.com> - 0.8.4-5
- Minor typo changes in spec file

* Mon May 14 2012 Jakub Filak <jfilak@redhat.com> - 0.8.4-4
- Do not rename package's data dir
- Simplification of the install section
- Add httpd to requires field

* Mon May 14 2012 Jakub Filak <jfilak@redhat.com> - 0.8.4-3
- Do not rename egg-info
- Add python-setuptools to build requires field

* Fri May 11 2012 Jakub Filak <jfilak@redhat.com> - 0.8.4-2
- The spec file corrected to be compliant with the fedora packaging guidlines
- The package name prefixed with the string "python-"

* Mon May 07 2012 Jakub Filak <jfilak@redhat.com> - 0.8.4-1
- Initial packaging
